---
title: Seedance Metinden Videoya | RunAPI
description: Asenkron bir Görev oluşturmak için metinden videoya uç noktasını kullanın.
url: https://runapi.ai/tr/docs/api/seedance/text-to-video.md
canonical: https://runapi.ai/tr/docs/api/seedance/text-to-video
locale: tr
---

> HTML sürümü: https://runapi.ai/tr/docs/api/seedance/text-to-video
> Ajanlar için site dizini: https://runapi.ai/llms.txt

# Seedance Metinden Videoya

## Genel Bakış

Metinden videoya uç noktasını desteklenen bir modelle kullanın. Durumunu almak için döndürülen Görev Kimliğini kullanın veya aşağıda belgelenen teslimler için callback_url sağlayın.

### Hızlı başlangıç

1. Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
2. Desteklenen bir model seçin ve gövdesi o modelin şemasıyla eşleşen bir POST isteği gönderin.
3. Döndürülen görev kimliğini saklayın, ardından bir terminal durumuna ulaşana kadar yoklama yapın ya da aşağıda belgelenen geri çağırmaları işleyin.

## Uç Nokta

POST /api/v1/seedance/text_to_video

Temel URL: https://runapi.ai

API sürümü: v1

Kimlik doğrulama: Authorization: Bearer YOUR_API_TOKEN

## Desteklenen modeller

Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.

- [seedance-1.5-pro](https://runapi.ai/tr/models/seedance/1.5-pro)
- [seedance-2-mini](https://runapi.ai/tr/models/seedance/2-mini)
- [seedance-2.0](https://runapi.ai/tr/models/seedance/2.0)
- [seedance-2.0-fast](https://runapi.ai/tr/models/seedance/2.0-fast)
- [seedance-2.5](https://runapi.ai/tr/models/seedance/2.5)
- [seedance-v1-pro](https://runapi.ai/tr/models/seedance/v1-pro)
- [seedance-v1-pro-fast](https://runapi.ai/tr/models/seedance/v1-pro-fast)

## İstek şeması

Alanlar ve izin verilen değerler seçili modele göre değişir. Sağlandığında, callback_url aşağıda belgelenen Görev teslimatlarını alır.

### seedance-1.5-pro

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "max": 12,
    "min": 4,
    "required": true,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "lock_camera": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "max": 2147483647,
    "min": -1,
    "type": "integer"
  },
  "source_image_urls": {
    "max_items": 2,
    "type": "array"
  }
}
```

### seedance-2-mini

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "max": 15,
    "min": 4,
    "type": "integer"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "last_frame_image_url": {
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "reference_audio_urls": {
    "max_items": 3,
    "type": "array"
  },
  "reference_image_urls": {
    "max_items": 9,
    "type": "array"
  },
  "reference_video_urls": {
    "max_items": 3,
    "type": "array"
  },
  "web_search": {
    "type": "boolean"
  }
}
```

### seedance-2.0

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "max": 15,
    "min": 4,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "last_frame_image_url": {
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p",
      "1080p",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "reference_audio_urls": {
    "max_items": 3,
    "type": "array"
  },
  "reference_image_urls": {
    "max_items": 9,
    "type": "array"
  },
  "reference_video_urls": {
    "max_items": 3,
    "type": "array"
  },
  "web_search": {
    "type": "boolean"
  }
}
```

### seedance-2.0-fast

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "max": 15,
    "min": 4,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "generate_audio": {
    "type": "boolean"
  },
  "last_frame_image_url": {
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "reference_audio_urls": {
    "max_items": 3,
    "type": "array"
  },
  "reference_image_urls": {
    "max_items": 9,
    "type": "array"
  },
  "reference_video_urls": {
    "max_items": 3,
    "type": "array"
  },
  "web_search": {
    "type": "boolean"
  }
}
```

### seedance-2.5

```json
{
  "aspect_ratio": {
    "default": "auto",
    "description": "Çıktı en boy oranı; auto seçeneği RunAPI'nin otomatik seçmesini sağlar.",
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9",
      "auto"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "Asenkron görev güncellemeleri için webhook URL'si.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Saniye cinsinden video süresi; -1 süreyi otomatik olarak seçer.",
    "enum": [
      -1,
      4,
      5,
      6,
      7,
      8,
      9,
      10,
      11,
      12,
      13,
      14,
      15,
      16,
      17,
      18,
      19,
      20,
      21,
      22,
      23,
      24,
      25,
      26,
      27,
      28,
      29,
      30
    ],
    "type": "integer"
  },
  "enable_safety_checker": {
    "description": "RunAPI'nin oluşturulan içeriği güvenlik açısından denetleyip denetlemediği.",
    "type": "boolean"
  },
  "first_frame_image_url": {
    "description": "Kare rehberli oluşturma için genel ilk kare görsel URL'si.",
    "type": "string"
  },
  "generate_audio": {
    "default": true,
    "description": "Senkronize ses oluşturulup oluşturulmayacağı.",
    "type": "boolean"
  },
  "last_frame_image_url": {
    "description": "Genel son kare görsel URL'si; first_frame_image_url gerektirir.",
    "type": "string"
  },
  "model": {
    "description": "RunAPI model tanımlayıcısı.",
    "required": true,
    "type": "string"
  },
  "output_format": {
    "default": "mp4",
    "description": "Çıktı video kapsayıcı biçimi.",
    "enum": [
      "mp4",
      "mov"
    ],
    "type": "string"
  },
  "output_resolution": {
    "default": "720p",
    "description": "Çıktı video çözünürlüğü.",
    "enum": [
      "480p",
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Video oluşturma istemi.",
    "length": true,
    "max": 30000,
    "min": 3,
    "required": true,
    "type": "string"
  },
  "reference_audio_urls": {
    "description": "Genel referans ses URL'leri; en fazla 10 ses dosyası.",
    "items": {
      "type": "string"
    },
    "max_items": 10,
    "type": "array"
  },
  "reference_image_urls": {
    "description": "Genel referans görsel URL'leri; en fazla 30 görsel.",
    "items": {
      "type": "string"
    },
    "max_items": 30,
    "type": "array"
  },
  "reference_video_urls": {
    "description": "Genel referans video URL'leri; en fazla 10 video.",
    "items": {
      "type": "string"
    },
    "max_items": 10,
    "type": "array"
  },
  "return_last_frame": {
    "default": false,
    "description": "Oluşturulan videonun son karesinin döndürülüp döndürülmeyeceği.",
    "type": "boolean"
  },
  "web_search": {
    "description": "İstemin web aramasıyla zenginleştirilip zenginleştirilmeyeceği.",
    "type": "boolean"
  }
}
```

### seedance-v1-pro

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "4:3",
      "3:4",
      "16:9",
      "9:16",
      "21:9"
    ],
    "type": "string"
  },
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "enum": [
      5,
      10
    ],
    "required": true,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "type": "string"
  },
  "lock_camera": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "480p",
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "type": "integer"
  }
}
```

### seedance-v1-pro-fast

```json
{
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "enum": [
      5,
      10
    ],
    "required": true,
    "type": "integer"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "first_frame_image_url": {
    "required": true,
    "type": "string"
  },
  "model": {
    "type": "string"
  },
  "output_resolution": {
    "enum": [
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "max": 2147483647,
    "min": -1,
    "type": "integer"
  }
}
```

#### Koşullu kurallar

Bu gereksinimler, listelenen tüm koşulların eşleştiği durumlarda uygulanır.

- **Şu durumlarda**: `first_frame_image_url` = `{"present" => true}`, `model` = `seedance-2.5`; **Kabul edilmez**: `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`
- **Şu durumlarda**: `last_frame_image_url` = `{"present" => true}`, `model` = `seedance-2.5`; **Gerekli**: `first_frame_image_url`; **Kabul edilmez**: `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`
- **Şu durumlarda**: `model` = `seedance-1.5-pro`; **Kabul edilmez**: `first_frame_image_url`, `last_frame_image_url`, `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`, `web_search`, `return_last_frame`, `output_format`
- **Şu durumlarda**: `model` = `seedance-2-mini`; **Kabul edilmez**: `source_image_urls`, `lock_camera`, `seed`, `enable_safety_checker`, `return_last_frame`, `output_format`
- **Şu durumlarda**: `model` = `seedance-2.0`; **Kabul edilmez**: `source_image_urls`, `lock_camera`, `seed`, `return_last_frame`, `output_format`
- **Şu durumlarda**: `model` = `seedance-2.0-fast`; **Kabul edilmez**: `source_image_urls`, `lock_camera`, `seed`, `return_last_frame`, `output_format`
- **Şu durumlarda**: `model` = `seedance-2.5`; **Kabul edilmez**: `source_image_urls`, `lock_camera`, `seed`
- **Şu durumlarda**: `model` = `seedance-v1-pro`; **Kabul edilmez**: `source_image_urls`, `last_frame_image_url`, `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`, `web_search`, `generate_audio`, `return_last_frame`, `output_format`
- **Şu durumlarda**: `model` = `seedance-v1-pro-fast`; **Kabul edilmez**: `aspect_ratio`, `source_image_urls`, `lock_camera`, `last_frame_image_url`, `reference_image_urls`, `reference_video_urls`, `reference_audio_urls`, `web_search`, `generate_audio`, `return_last_frame`, `output_format`

## Kabul oluştur

HTTP 202 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Yoklama işleniyor

HTTP 200 - GET /api/v1/seedance/text_to_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Yoklama tamamlandı

HTTP 200 - GET /api/v1/seedance/text_to_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "last_frame_image_url": {
      "type": "string",
      "x-runapi-generated-media": true
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Yoklama başarısız oldu

HTTP 200 - GET /api/v1/seedance/text_to_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Müşteri geri çağırması: tamamlandı

HTTP 200 - POST callback_url

### Yanıt şeması

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "last_frame_image_url": {
      "type": "string",
      "x-runapi-generated-media": true
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Müşteri geri çağırması: başarısız oldu

HTTP 200 - POST callback_url

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Hatalar

HTTP 401 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Authentication required"
}
```

## Hatalar

HTTP 401 - GET /api/v1/seedance/text_to_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Authentication required"
}
```

## Hatalar

HTTP 400 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir hata mesajı.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir doğrulama özeti.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Herkese açık istek alanına göre anahtarlanan doğrulama mesajları; her alan için insan tarafından okunabilir dizelerden oluşan bir dizi içerir.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Yanıt örneği

```json
{
  "error": "model must be one of: seedance-1.5-pro, seedance-2-mini, seedance-2.0, seedance-2.0-fast, seedance-2.5, seedance-v1-pro, seedance-v1-pro-fast"
}
```

## Hatalar

HTTP 402 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Insufficient balance"
}
```

## Hatalar

HTTP 429 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "API key credit limit exceeded"
}
```

## Hatalar

HTTP 409 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Hatalar

HTTP 429 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Hatalar

HTTP 503 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Hatalar

HTTP 504 - POST /api/v1/seedance/text_to_video

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request timed out"
}
```

## Hatalar

HTTP 404 - GET /api/v1/seedance/text_to_video/:id

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## Oluşturulan Kod Örnekleri

Doğrudan cURL kullanın veya diliniz için bir SDK yükleyin. Her örnek, bu başvuruda gösterilen doğrulanmış isteği gönderir.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/seedance/text_to_video \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"seedance-1.5-pro","duration_seconds":5,"prompt":"A time-lapse of clouds moving over a mountain lake."}'
```

### javascript

#### Yükle

```bash
npm install @runapi.ai/seedance
```

```javascript
import { SeedanceClient } from "@runapi.ai/seedance";

const client = new SeedanceClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.textToVideo.create({
  "model": "seedance-1.5-pro",
  "duration_seconds": 5,
  "prompt": "A time-lapse of clouds moving over a mountain lake."
});
```

### python

#### Yükle

```bash
pip install runapi-seedance
```

```python
import os
from runapi.seedance import SeedanceClient

client = SeedanceClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.text_to_video.create(
  model="seedance-1.5-pro",
  duration_seconds=5,
  prompt="A time-lapse of clouds moving over a mountain lake."
)
```

### go

#### Yükle

```bash
go get github.com/runapi-ai/seedance-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  seedance "github.com/runapi-ai/seedance-sdk/go/seedance"
)

func main() {
  client, err := seedance.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.TextToVideo.Create(context.Background(), seedance.TextToVideoParams{
    Model: seedance.SeedanceModel("seedance-1.5-pro"),
    DurationSeconds: func(value int) *int { return &value }(5),
    Prompt: "A time-lapse of clouds moving over a mountain lake.",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### Yükle

```bash
gem install runapi-seedance
```

```ruby
require "runapi/seedance"

client = RunApi::Seedance::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.text_to_video.create(
  model: "seedance-1.5-pro",
  duration_seconds: 5,
  prompt: "A time-lapse of clouds moving over a mountain lake."
)
```

### java

#### Yükle

```kotlin
implementation("ai.runapi:runapi-seedance")
```

```java
import ai.runapi.seedance.SeedanceClient;
import ai.runapi.seedance.types.TextToVideoParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    SeedanceClient client = SeedanceClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.textToVideo().create(
        TextToVideoParams.builder()
        .model("seedance-1.5-pro")
        .durationSeconds(5)
        .prompt("A time-lapse of clouds moving over a mountain lake.")
            .build()
    );
  }
}
```

### php

#### Yükle

```bash
composer require runapi-ai/seedance
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Seedance\SeedanceClient;

$client = new SeedanceClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->textToVideo->create([
  "model" => "seedance-1.5-pro",
  "duration_seconds" => 5,
  "prompt" => "A time-lapse of clouds moving over a mountain lake."
]);
```

## İlgili Kılavuzlar

- [Kimlik doğrulama](https://runapi.ai/tr/docs/guides/authentication.md)
- [Hızlı başlangıç](https://runapi.ai/tr/docs/guides/task-api/quickstart.md)

---

## RunAPI hakkında daha fazlası

- [Ana sayfa](https://runapi.ai/tr/.md)
- [Model Kataloğu](https://runapi.ai/tr/models.md)
- [Fiyatlandırma](https://runapi.ai/tr/pricing.md)
- [Sağlayıcılar](https://runapi.ai/tr/models)
- [Dokümantasyon](https://runapi.ai/tr/docs/guides)
- [SDK'lar](https://runapi.ai/tr/sdk.md)
- [CLI](https://runapi.ai/tr/cli.md)
- [MCP Sunucusu](https://runapi.ai/tr/mcp.md)
- [Claude Code ve Cursor](https://runapi.ai/tr/claude-code-vs-cursor.md)
- [Cursor API kurulumu](https://runapi.ai/tr/cursor-api-setup.md)
- [RunAPI ve OpenRouter](https://runapi.ai/tr/openrouter-alternative.md)
- [Kurumsal](https://runapi.ai/tr/contact.md)
- [İletişim](https://runapi.ai/tr/contact.md)
- [Şartlar](https://runapi.ai/tr/terms.md)
- [Gizlilik](https://runapi.ai/tr/privacy.md)
- [Ajanlar için site dizini](https://runapi.ai/llms.txt)

İletişim: contact@runapi.ai

## Yapılandırılmış veriler

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/tr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/tricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "TechArticle",
    "headline": "Seedance Metinden Videoya",
    "description": "Asenkron bir Görev oluşturmak için metinden videoya uç noktasını kullanın.",
    "url": "https://runapi.ai/tr/docs/api/seedance/text-to-video",
    "mainEntityOfPage": "https://runapi.ai/tr/docs/api/seedance/text-to-video"
  }
]
```
